MatchAllDocsQuery (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.search, class: MatchAllDocsQuery

Package org.apache.lucene.search

# Class MatchAllDocsQuery

java.lang.Object
org.apache.lucene.search.Query
org.apache.lucene.search.MatchAllDocsQuery

public final class MatchAllDocsQuery extends Query
A query that matches all documents.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MatchAllDocsQuery`
  `INSTANCE`
  A singleton instance

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatchAllDocsQuery()`
  Deprecated.
  Use `INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Weight`
  `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  Expert: Constructs an appropriate Weight implementation for this query.
  `boolean`
  `equals(Object o)`
  Override and implement query instance equivalence properly in a subclass.
  `int`
  `hashCode()`
  Override and implement query hash code properly in a subclass.
  `String`
  `toString(String field)`
  Prints a query to a string, with `field` assumed to be the default field and omitted.
  `void`
  `visit(QueryVisitor visitor)`
  Recurse through the query tree, visiting any child queries.

  ### Methods inherited from class org.apache.lucene.search.Query

  `classHash, rewrite, sameClassAs, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final MatchAllDocsQuery INSTANCE
    A singleton instance

- ## Constructor Details

  - ### MatchAllDocsQuery

    @Deprecated public MatchAllDocsQuery()
    Deprecated.
    Use `INSTANCE`
    Default constructor

- ## Method Details

  - ### createWeight

    public Weight createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)
    Description copied from class: `Query`
    Expert: Constructs an appropriate Weight implementation for this query.

    Only implemented by primitive queries, which re-write to themselves.

    Overrides:
      `createWeight` in class `Query`
    Parameters:
      `scoreMode` - How the produced scorers will be consumed.
      `boost` - The boost that is propagated by the parent queries.

  - ### toString

    public String toString(String field)
    Description copied from class: `Query`
    Prints a query to a string, with `field` assumed to be the default field and omitted.
    Specified by:
      `toString` in class `Query`

  - ### equals

    public boolean equals(Object o)
    Description copied from class: `Query`
    Override and implement query instance equivalence properly in a subclass. This is required so that `QueryCache` works properly.

    Typically a query will be equal to another only if it's an instance of the same class and its document-filtering properties are identical to those of the other instance. Utility methods are provided for certain repetitive code.

    Specified by:
      `equals` in class `Query`
    See Also:
      - `Query.sameClassAs(Object)`
      - `Query.classHash()`

  - ### hashCode

    public int hashCode()
    Description copied from class: `Query`
    Override and implement query hash code properly in a subclass. This is required so that `QueryCache` works properly.
    Specified by:
      `hashCode` in class `Query`
    See Also:
      - `Query.equals(Object)`

  - ### visit

    public void visit(QueryVisitor visitor)
    Description copied from class: `Query`
    Recurse through the query tree, visiting any child queries.
    Specified by:
      `visit` in class `Query`
    Parameters:
      `visitor` - a QueryVisitor to be called by each query in the tree